package com.reyun.saas.mob.log.service;

import com.reyun.saas.mob.log.domain.SysLog;
import com.reyun.saas.common.core.Service;
import com.reyun.saas.common.restResult.PageParam;
import com.reyun.saas.mob.log.dto.SysLogInputDTO;
import com.reyun.saas.mob.log.dto.SysLogOutpDTO;
import org.springframework.http.ResponseEntity;

import java.util.List;

/**

* @Description: // TODO 为类添加注释
*/
public interface SysLogService extends Service<SysLog> {

    /**
     * 根据分页、排序信息和检索条件查询 @size 条 字典表数据
     * @param pageParam 分页参数
     * @param inputDTO  查询关键字
     * @return
     */
    List<SysLogOutpDTO> list(PageParam pageParam, SysLogInputDTO inputDTO);

    /**
     * 保存日志
     */
    void saveLog(SysLog sysLog);

    /**
     * 删除日志
     */
    void deleteById(String ids);

    /**
     * 分页导出日志
     * @param inputDTO
     * @return
     */
    ResponseEntity<byte[]> exportLogList(SysLogInputDTO inputDTO);
}
