package com.reyun.saas.mob.openapi.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * @author: hanzepeng
 * @Date: 2022/02/09/14:55
 * @Description: 合作项目实体类
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Table(name = "collaborative_project")
public class CollaborativeProject implements Serializable {

    /**
     * 主键
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    /**
     * 合作项目名称
     */
    @Column(name = "project_name")
    private String projectName;

    /**
     * 合作项目公司名称
     */
    @Column(name = "company")
    private String company;

    /**
     * 合作项目token
     */
    @Column(name = "token")
    private String token;

    /**
     * 合作项目的oid
     */
    @Column(name = "oid")
    private String oid;

    /**
     * 合作项目访问ip
     */
    @Column(name = "ip")
    private String ip;

    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;

    /**
     * 修改时间
     */
    @Column(name = "modfiy_time")
    private Date modfiyTime;

    /**
     * 删除标志 1为删除 0为未删除
     */
    @Column(name = "del_flag")
    private Boolean delFlag;


}
