package com.reyun.saas.mob.user.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @author: hanzpeneg
 * @Date: 2022/03/03/18:33
 * @Description: 公告确认信息实体类
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Table(name = "affiche_ack")
public class AfficheAck implements Serializable {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    /**
     * 公告名称
     */
    @Column(name = "affiche_name")
    private String afficheName;

    /**
     * 用户id
     */
    @Column(name = "user_id")
    private Long userId;

    /**
     * 确认时间
     */
    @Column(name = "ack_time")
    private String ackTime;

    /**
     * 确认时的ip
     */
    @Column(name = "ip")
    private String ip;

    /**
     * 确认时的地址
     */
    @Column(name = "address")
    private String address;

}
