package com.reyun.saas.mob.user.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Table(name = "app")
public class App implements Serializable {

    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    /**
     *父ID
     */
    @Column(name = "root_parent")
    private Long rootParent;

    /**
     * app图标，后台异步抓取
     */
    @Column(name = "icon_url")
    private String iconUrl;

    /**
     *应用名称
     */
    @Column(name = "app_name")
    private String appName;

    /**
     *应用appkey:mobdna内唯一
     */
    private String appkey;

    /**
     *应用系统：Android或iOS或Harmony
     */
    private String os;

    /**
     *bundle_id(iOS)或package_name(Android)
     */
    private String bid;

    /**
     *0-正常,1-被删除
     */
    @Column(name = "del_flag")
    private Boolean delFlag;

    /**
     *0-正常，1-禁用
     */
    @Column(name = "disable_flag")
    private Boolean disableFlag;

    /**
     *创建时间
     */
    @Column(name = "create_time")
    private Date createTime;

    /**
     *创建人
     */
    @Column(name = "create_user")
    private Long createUser;

    /**
     *创建人邮箱
     */
    @Column(name = "create_email")
    private String createEmail;
    /**
     *修改时间
     */
    @Column(name = "modify_time")
    private Date modifyTime;

    /**
     *修改人
     */
    @Column(name = "modify_user")
    private Long modifyUser;

}
