package com.reyun.saas.mob.user.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.util.Date;

/**
 * @author: hanzepeng
 * @Date: 2021/09/29/15:26
 * @Description: app权限
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Table(name = "app_auth")
public class AppAuth {
    /**
     * 主键
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    /**
     * 用户id
     */
    @Column(name = "user_id")
    private Long userId;

    /**
     * appid
     */
    @Column(name = "app_id")
    private Long appId;

    /**
     * app权限
     */
    @Column(name = "control_auth")
    private String controlAuth;

    /**
     * 用户角色
     */
    @Column(name = "role_category")
    private Integer roleCategory;

    /**
     * 权限状态
     */
    private Integer status;

    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;

    /**
     * 创建人
     */
    @Column(name = "create_user")
    private Long createUser;

}
