package com.reyun.saas.mob.user.domain;

import lombok.Data;

import javax.persistence.Column;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import java.io.Serializable;

@Data
public class UserCoreConfig implements Serializable {
    /**
     * 主键ID
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    /**
     * 主用户id
     */
    @Column(name = "root_parent")
    private Long rootParent;
    /**
     * 开通时间
     */
    @Column(name = "pub_date")
    private String pubDate;
    /**
     * 过期时间
     */
    @Column(name = "past_date")
    private String pastDate;
    /**
     * 创建app上限数量(附加)-加上套餐的app数量才是全部流量
     */
    @Column(name = "app_num")
    private Integer appNum;
    /**
     * 套餐流量(附加)-加上套餐的流量才是全部流量
     */
    @Column(name = "track_flow")
    private Long trackFlow;
    /**
     * 套餐id
     */
    @Column(name = "package_level_id")
    private Integer packageLevelId;

    /**
     * rta套餐id
     */
    @Column(name = "rta_package_level_id")
    private Integer rtaPackageLevelId;

    /**
     * rta白名单ip数量
     */
    @Column(name = "rtaip_num")
    private Integer rtaipNum;

    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private String createTime;
    /**
     * 创建人-运营人员
     */
    @Column(name = "create_user")
    private Long createUser;
    /**
     * 修改时间
     */
    @Column(name = "modify_time")
    private String modifyTime;
    /**
     * 修改人-运营人员
     */
    @Column(name = "modify_user")
    private Long modifyUser;

}
