package com.reyun.saas.mob.user.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel(value="WarningAddressee",description="收信人")
@Table(name = "warning_addressee")
public class WarningAddressee {

    @ApiModelProperty(value="无意义主键")
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    @ApiModelProperty(value="预警配置表主键id")
    @Column(name = "config_id")
    private Long configId;

    @ApiModelProperty(value="1：启用、0：停用")
    private Boolean isusing;

    @ApiModelProperty(value="是否自定义：true自定义、false用户")
    private Boolean custom;

    @ApiModelProperty(value="推送通知方式：-1全选、1邮件、2短信")
    @Column(name = "push_type")
    private Integer pushType;

    @ApiModelProperty(value="推送频率：1当天仅推送一次2当天每小时均推送")
    @Column(name = "push_frequency")
    private Integer pushFrequency;

    @ApiModelProperty(value="收信人姓名")
    @Column(name = "addressee_name")
    private String addresseeName;

    @ApiModelProperty(value="收信人邮箱")
    @Column(name = "addressee_email")
    private String addresseeEmail;

    @ApiModelProperty(value="收信人手机号")
    @Column(name = "addressee_phone")
    private String addresseePhone;

}
