package com.reyun.saas.mob.user.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel(value="WarningColumn",description="预警指标对码表")
@Table(name = "warning_column")
public class WarningColumn {
    @ApiModelProperty(value="无意义主键")
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    @ApiModelProperty(value="预警数据名称")
    @Column(name = "warning_name")
    private String warningName;

    @ApiModelProperty(value="预警数据标识")
    @Column(name = "warning_code")
    private String warningCode;

    @ApiModelProperty(value="1数值2百分比")
    @Column(name = "field_type")
    private String fieldType;

    @ApiModelProperty(value="数据库字段名")
    @Column(name = "field_code")
    private String fieldCode;

    @ApiModelProperty(value="-1不限制，1为iOS，2为Android")
    private String os;
}
