package com.reyun.saas.mob.user.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel(value="WarningInformLog",description="预警发信记录")
public class WarningInformLog {

    @ApiModelProperty(value="无意义主键id")
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    @Column(name = "data_info_id")
    @ApiModelProperty(value="预警报表信息主键id")
    private Long dataInfoId;

    @Column(name = "config_id")
    @ApiModelProperty(value="预警配置id")
    private Long configId;

    @ApiModelProperty(value="收信人姓名")
    private String name;

    @ApiModelProperty(value="收信人邮箱")
    private String email;

    @ApiModelProperty(value="收信人电话")
    private String phone;

    @Column(name = "create_time")
    @ApiModelProperty(value="创建时间")
    private String createTime;

}
