package com.reyun.saas.mob.user.domain;

import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Table(name = "work_order_export")
public class WorkOrderExport {


    /**
     * 主键
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    /**
     * 工单名称
     */
    @Column(name = "work_order_name")
    private String workOrderName;

    /**
     * appkey
     */
    private String appkey;

    /**
     * app名称
     */
    @Transient
    private String appName;

    /**
     * 工单类型
     */
    private String type;

    /**
     * 报表名称
     */
    @JsonIgnore
    @Column(name = "report_name")
    private String reportName;

    /**
     * 所属模块
     */
    private String model;

    /**
     * 导出条件 json数据
     */
    @JsonIgnore
    private String source;

    /**
     * 文件大小
     */
    @Column(name = "file_size")
    private Long fileSize;


    /**
     * 开始时间
     */
    @Column(name = "begin_date")
    private String beginDate;

    /**
     * 结束时间
     */
    @Column(name = "end_date")
    private String endDate;

    /**
     * 创建时间
     */
    @Column(name = "create_date")
    private Date createDate;

    /**
     * 创建人id
     */
    @Column(name = "create_user_id")
    private Long createUserId;

    /**
     * 创建人
     */
    @Transient
    private String createUser;

    /**
     * 工单完成时间
     */
    @JsonIgnore
    @Column(name = "finish_date")
    private Date finishDate;

    /**
     * 状态
     */
    @Column(name = "status")
    private String status;

    /**
     * 删除标识
     */
    @Column(name = "del_flag")
    private Boolean delFlag;

    /**
     * 下载人id
     */
    @Column(name = "download_user_id")
    private Long downloadUserId;

    /**
     * 下载人
     */
    @Transient
    private String downloadUser;

    /**
     * 下载时间
     */
    @Column(name = "download_date")
    private Date downloadDate;

    /**
     * 下载人ip
     */
    @Column(name = "download_ip")
    private String downloadip;

    /**
     * 异常信息
     */
    @JsonIgnore
    private String msg;



}
