package com.reyun.saas.mob.user.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class WarningConfigDTO {
    @ApiModelProperty(value="主键ID")
    private Long id;

    @ApiModelProperty(value="预警配置名/模板名称")
    private String name;

    @ApiModelProperty(value="appkey")
    private String appkey;

    @ApiModelProperty(value="应用名称")
    private String appName;

    @ApiModelProperty(value="应用系统")
    private String os;

    @ApiModelProperty(value="渠道id")
    private Long channelId;

    @ApiModelProperty(value="渠道cid")
    private String cid;

    @ApiModelProperty(value="渠道别名")
    private String channelAlias;

    @ApiModelProperty(value="计算规则：day按天、hour按小时")
    private String dataCycleRule;

    @ApiModelProperty(value="表达式")
    private String eval;

    @ApiModelProperty(value="1：启用、0：停用 (仅限配置)")
    private Boolean isusing;

    @ApiModelProperty(value="备注")
    private String remark;

    @ApiModelProperty(value="创建时间")
    private String createTime;

    @ApiModelProperty(value="创建人邮箱")
    private String createEmail;

    @ApiModelProperty(value="创建人姓名")
    private String actualName;

    @ApiModelProperty(value="收信人")
    private String addressNames;

    @ApiModelProperty(value="累计预警次数")
    private Integer historyCount;

    @ApiModelProperty(value="警报发送次数")
    private Integer informedSum;
}
