package com.reyun.saas.mob.user.dto.user;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import java.io.Serializable;

@AllArgsConstructor
@NoArgsConstructor
@Data
@Builder
public class UserCoreConfigDTO implements Serializable {
    /**
     * 主键ID
     */
    private Long id;
    /**
     * 主用户id
     */
    private Long rootParent;
    /**
     * 开通时间
     */
    private String pubDate;
    /**
     * 过期时间
     */
    private String pastDate;
    /**
     * 创建app上限数量(附加)-加上套餐的app数量才是全部流量
     */
    private Integer appNum;
    /**
     * 套餐流量(附加)-加上套餐的流量才是全部流量
     */
    private Long trackFlow;
    /**
     * 套餐id
     */
    private Integer packageLevelId;

    /**
     * rta套餐id
     */
    private Integer rtaPackageLevelId;

    /**
     * 创建时间
     */
    private String createTime;
    /**
     * 创建人-运营人员
     */
    private String createUser;
    /**
     * 修改时间
     */
    private String modifyTime;
    /**
     * 修改人-运营人员
     */
    @Column(name = "modify_user")
    private String modifyUser;

}
