package com.reyun.saas.mob.user.dto.user;


import com.reyun.saas.report.vo.ReportParamsVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;


@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class WorkOrderLogDTO {


    /**
     * 系统
     */
    @ApiModelProperty(value="系统类型")
    private String os;

    /**
     * app
     */
    @ApiModelProperty(value="appkey")
    private String appkey;

    /**
     * 渠道
     */
    @ApiModelProperty(value="渠道")
    private List<String> cids;

    /**
     * 开始时间
     */
    @ApiModelProperty(value="开始时间")
    private String beginDate;

    /**
     * 结束时间
     */
    @ApiModelProperty(value="结束时间")
    private String endDate;

    /**
     * 所属模块 原来变量名叫model 前端因为变量名重复 要求改变量名
     */
    @ApiModelProperty(value="所属模块")
    private String workOrderModel;

    /**
     * 类型  原来变量名叫type  前端因为变量名重复 要求改变量名
     */
    @ApiModelProperty(value="工单类型")
    private String workOrderType;

    /**
     * 报表名称
     */
    @ApiModelProperty(value="报表名称")
    private String reportName;

    @ApiModelProperty(value="报表参数")
    private ReportParamsVO reportParams;
}
