package com.reyun.saas.mob.user.service;


import com.reyun.saas.common.constants.MailEnumType;
import com.reyun.saas.mob.user.domain.User;

public interface MailService {

    /**
     * 发送 忘记密码时生成临时随机密码
     * @param user 目标用户
     * @param newPwd 随机密码
     * @param enumType 模板类型
     * @return 是否发送成功
     * @throws Exception
     */
    Boolean sendNewPwd(User user, String newPwd, MailEnumType enumType) throws Exception;

    /**
     * 校验重复发送 60秒内发送同样的邮箱判定为重复发送
     * @param email 被校验的邮箱
     * @return
     */
    Boolean isRepetitionSend(String email);


}
