package com.reyun.saas.mob.user.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel(value="App",description="App应用实体类")
public class AppVO {

    @ApiModelProperty(value="权限主键ID")
    private Long id;

    @ApiModelProperty(value="父ID")
    private Long rootParent;

    @ApiModelProperty(value="应用名称")
    private String appName;

    @ApiModelProperty(value="应用appkey:mobdna内唯一")
    private String appkey;

    @ApiModelProperty(value="应用系统：Android或iOS或Harmony")
    private String os;

    @ApiModelProperty(value="bundle_id(iOS)或package_name(Android)")
    private String bid;

    @ApiModelProperty(value = "0-正常,1-被删除")
    private Boolean delFlag;

    @ApiModelProperty(value = "0-正常，1-禁用")
    private Boolean disableFlag;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /*@ApiModelProperty(value = "创建人")
    private Long createUser;*/

    @ApiModelProperty(value = "创建人邮箱")
    private String createEmail;

}
