package com.reyun.saas.report.data.dao;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Repository
public interface RtaRequestCountMapper {

    /**
     * 根据oid查询rta请求数量
     * @param oid  用户oid
     * @param date 实时离线日期分割 实时大于或者等于昨天  离线小于昨天的时间
     * @param pubDate 用户套餐开通时间
     * @return 总rta请求数
     */
    Long findRtaReqCountByOid(@Param("oid") String oid,@Param("date") String date,@Param("pubDate") String pubDate);

}
