package com.reyun.saas.common.properties;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * @author:
 * @Date: 2021/09/10/10:33
 * @Description:
 */
@Component
@Data
public class CommonProperties {

    //===================   工单中心 start ==================
    /**
     * 临时文件路径
     */
    @Value("${file.tempFilePath}")
    private String tempFilePath;


    /**
     * 日志表头设备信息
     */
    @Value("${workOrder.log.equipmentInfo}")
    private String equipmentInfo;


    //===================   工单中心 end ==================


    //===================   邮件发送 start ==================
    /**
     * 子账号激活邮件标题
     */
    @Value("${mail.title.activate}")
    private String activateTitle;

    /**
     * 忘记密码邮件标题
     */
    @Value("${mail.title.forgetPwd}")
    private String forgetPwdTitle;


    /**
     * 临时随机密码过期重发标题
     */
    @Value("${mail.title.pwdPast}")
    private String pwdPastTitle;

    /**
     * 预警邮件模板 1-预警名称
     */
    @Value("${mail.title.warning}")
    private String warningTitle;

    /**
     * 用户激活随机密码模板
     * 该模板4个占位符 1.name 2.邮箱 3.邮箱 4.随机密码
     */
    @Value("${mail.template.activate}")
    private String activateContent;

    /**
     * 忘记密码随机密码模板
     * 该模板1个占位符 1.随机密码
     */
    @Value("${mail.template.forgetPwd}")
    private String forgetPwdContent;

    /**
     * 随机密码过期模板
     * 该模板1个占位符 1.随机密码
     */
    @Value("${mail.template.pwdPast}")
    private String pwdPastContent;

    /**
     *  #预警邮件
     *  占位符 1-创建人姓名,2-预警名称,3-应用名称,4-渠道名称,5-计算区间,6-日期,7-触发预警时段,8-当日累计预警次数,9-创建人姓名(邮箱)
     */
    @Value("${mail.template.warning}")
    private String warningContent;
    //===================   邮件发送 end ==================
}
