package com.reyun.saas.web.aop;

/**
 * @desc 方法注解，APO(com.reyun.saas.web.aop.ReportDateProcessAspect)拦截添加了该注解的方法，对其参数进行处理加工
 */

import java.lang.annotation.*;

@Documented // 注解信息会被添加到Java文档中
@Retention(RetentionPolicy.RUNTIME) // 注解的生命周期，表示注解会被保留到什么阶段，可以选择编译阶段、类加载阶段，或运行阶段
@Target(ElementType.METHOD) // 注解作用的位置，ElementType.METHOD表示该注解仅能作用于方法上
public @interface ReportDateProcess {

}
